package io.renren.modules.app.dao;

import io.renren.modules.app.entity.DhbmyjEntity;
import io.renren.modules.app.entity.FwxxEntity;
import io.renren.modules.app.entity.GrbgEntity;
import io.renren.modules.app.entity.JkbzEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.YwpzTempEntity;
import io.renren.modules.app.entity.ZhxxEntity;
import com.baomidou.mybatisplus.mapper.BaseMapper;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

/**
 * 维修资金预交
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
@Mapper
public interface WxzjyjDao extends BaseMapper<YwpzEntity> {

	// 预交页面开发单位下拉框选择对应单位编码和单位名称查询对应的幢号信息列表
	List<ZhxxEntity> queryByPage(ZhxxEntity zhxxEntity);

	// // 点击编辑按钮，查询到的该条幢号信息
	// ZhxxEntity selectzhxxone(Map<String, String> map);

	// 编辑弹窗，修改该条幢号信息
	void updatezhxx(ZhxxEntity zhxxEntity);

	// 根据房屋结构名称查字典表sys_dict对应的code值
	String selectsyscode(String id);
	// YwpzEntity selectwxjjyj(String id);

	// /**
	// * 分页模糊查询
	// *
	// * @param
	// * @return
	// */
	// List<YwpzEntity> queryByPage(YwpzEntity ywpzEntity);

	// 下拉框
	List<XlkEntity> selectdw();

	List<XlkEntity> selectyh();

	List<XlkEntity> selectjsfs();

	List<YwpzEntity> selectdj01();

	// 维修资金预交新增
	void insertyj(YwpzEntity ywpzEntity);

	void insertyjmx(YwpzEntity ywpzEntity);

	Double selectfwbydh(String id);

	// ---新页面
	List<YwpzEntity> queryByPageC(YwpzEntity ywpzEntity);

	YwpzEntity selectck(Map<String, String> map);

	List<DhbmyjEntity> selectyjmx(String id);

	void deletedj(String id);

	void deletedjmx(String id);

	String queryByCount(String date);

	List<String> selectyw(String id);

	List<JkbzEntity> selectdwjjl(JkbzEntity jkbzEntity);
	
	ZhxxEntity selectzhmjh(String id);
	
	ZhxxEntity selectdhmjjkbz(String id);
	
	void updateywpzdjrq(YwpzEntity ywpzEntity);
	
	void updateyjmxdjrq(YwpzEntity ywpzEntity);
	
	List<FwxxEntity> selectallfw(String id);
	
	List<ZhxxEntity> selectzhxx();
	
	void updatezhxxyjje(ZhxxEntity zhxxEntity);
	
	List<ZhxxEntity> selectxlrdhbm();
	
	List<FwxxEntity> selectfwallbydh(String id);
	
	ZhxxEntity selectzhxx(String id);
	
	void updatedwxqxg(YwpzEntity ywpzEntity);
	
	List<ZhxxEntity> selecttest();
	
	ZhxxEntity selectdhbmbytest(ZhxxEntity zhxxEntity);
	
	void updatedhbmtest(ZhxxEntity zhxxEntity);
	
	List<YwpzEntity> selectdwdhyj();
	
	YwpzEntity selectywpzdwbm(String id);
	
	YwpzEntity selectsfdwzck(String id);
	
	void updatedwzck(YwpzEntity ywpzEntity);
	
	void updatezhxxdwze(ZhxxEntity zhxxEntity);
	
	void updateywpzje(YwpzEntity ywpzEntity);
	
	void updateyjmxje(YwpzEntity ywpzEntity);
	
	int selectfwyjhs(String id);
	
	String selectxmmcbydhbm(String id);
}
